from hoverball import *
from hoverball.math import *

class Clumsy (Unit):
   def __init__ (self):
      Unit.__init__(self,"Clumsy",0x8888FF)    # Name "Clumsy", Farbe hellblau

   def loop (self):
      sphere = Sphere(self.option("world.radius"))  # Parameter auslesen...
      Qmax = self.option("unit.charge.max")
      Fmax = self.option("unit.engine.max")

      while self.look():
         ball = self.puck(Puck.BALL,0,1)            # das ist der Ball
         goal = self.puck(Puck.BALL,self.self.t,1)  # das ist das "Tor"

         if ball == None:                           # sieht keinen Ball? drehe!
            self.action(0,-Fmax,Fmax)     
         else:                                      # sieht Ball:
            a = goal.X.c * ball.X.c if goal != None else ball.X.c * self.self.X.c    
                                                    # berechne Drehachse
            X = ball.X * Matrix.rot(a,(self.self.r+ball.r)/sphere.rad)
            x = sphere.warp(X.c)                    # X ist die Schussposition

            l = -x.arg() + max(0.2,1-10*abs(x.arg()))  # drehe und
            r =  x.arg() + max(0.2,1-10*abs(x.arg()))  # fahre zu X
            q = 0.5 if x.abs() < ball.r else 0      # falls auf X: Schuss!

            self.action(q*Qmax,l*Fmax,r*Fmax) 

