import hoverball._
import hoverball.debug._

class Debuggy extends Human("Debuggy", 0xDD77FF) 
{
   override def loop() = {
      while (look()) 
      {
         for (puck <- pucks) if (puck.X != null) {
            if (puck == self)
               debug(new Text(puck.X.c,format_(energy),2.2),0xFFFFFF)
            else 
               debug(new Text(puck.X.c,puck.id,-2.2),0xFFFFFF)
               
            if (puck.what == Puck.NODE) 
               debug(new X(puck.X.c))
            else if (puck.t != 0 && puck.t != self.t)
               debug(new Circle(puck.X.c,Math.PI/15),0xDDAA00)
            else if (puck.==(Puck.BALL,0))
               debug(new Circle(puck.X.c,Math.PI/15),0xFFFFFF)
            else if (puck.==(Puck.BALL,self.t)) {
               debug(new Circle(puck.X.c,Math.PI/15))
               debug(new Line(null,puck.X.c))
            }
         }
      }
   }

   private def format_(x: Double): String = {
      val X: Int = (x*100).toInt
      val a: Int = X/100
      val b: Int = (X/10)%10
      val c: Int = X%10
      ""+a+"."+b+""+c
   }
}

