/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
import hoverball.Application;
import hoverball.layout.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


/**
 * Die Klasse Hoverball hat lediglich repräsentativen Zweck. Mit ihr kann
 * die Version von Hoverball ermittelt werden.
 * Wird die Klasse Hoverball als Application gestartet, so öffnet sie
 * Hoverball's About-Fenster:
 * <p>
 * <tt>java Hoverball</tt>
 * </p>
 */
public final class Hoverball
{
   /**
    * Version von Hoverball
    */
   public static final String VERSION = About.VERSION_COMPLETE;

   /**
    * öffnet Hoverball's About-Fenster (Application!).
    */
   public static void main (String[] args) { new Hoverball(); }

   /*
    * private, hihi!
    */
   private Hoverball ()
   {
      Application.setBounds();
      JFrame Application_frame = (JFrame)Application.desktop.getTopLevelAncestor();
      final About about = new About(Application_frame);

      Application_frame.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
      Application_frame.addComponentListener(new ComponentAdapter() {
         public void componentHidden (ComponentEvent e) { Application.exit(); }
      });

      Dimension desktop = Toolkit.getDefaultToolkit().getScreenSize();  // locate!
      about.frame.setBounds(Layout.center(new Rectangle(desktop),about.frame.getSize()));
      about.frame.setClosable(false);
      about.frame.show();
   }
/*
   private Hoverball ()
   {
      final JFrame frame = new JFrame(TITLE);
      final About about = new About(frame);

      Dimension desktop = Toolkit.getDefaultToolkit().getScreenSize();  // locate!
      frame.setBounds(Layout.center(new Rectangle(desktop),about.frame.getSize()));
      frame.setResizable(false);
      frame.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
      frame.setContentPane(about.frame.getContentPane());
      frame.addComponentListener(new ComponentAdapter() {
         public void componentHidden (ComponentEvent e) { Application.exit(); }
      });
      frame.show();
   }
*/
}
