/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball;


// ---- Hoverball Server ---------------------------------------- [Server] ----


/**
 * Der Server betreibt mehrere Simulatoren mit einer Hash-Tabelle.
 * <p>
 * Verbindet sich ein Client mit dem Server mit einem Hash-Key,
 * wird er mit dem entsprechenden Simulator verbunden.
 * Gibt es den Hash-Key noch nicht, wird ein neuer Simulator erzeugt.
 * <p>
 * Verbindet sich ein Client mit dem Server ohne einen Hash-Key,
 * wird ein neuer Simulator mit einem zufälligen Hash-Key erzeugt.
 * <p>
 * Werden alle Clients zu einem Simulator des Servers getrennt, wird
 * der Simulator vernichtet.
 */
public final class Server
{
   // ---- static Launcher ----------------------------------------------------

   /**
    * Startet den Server (Application!).
    */
   public static void main (String[] args)
   {
      String arg = hoverball.layout.About.arg(args);
      try { new hoverball.simulator.Server((args.length == 0)? null : arg); } catch(java.io.IOException e) { e.printStackTrace(); }
   }
}
