/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball.serial;


// ---- Disk Info

public abstract class DiskInfo extends Serial
{
   // ---- WHAT's up?

   public static final int UNKNOWN = 0;
   public static final int NODE = 1;
   public static final int BALL = 2;
   public static final int UNIT = 3;

   private static final String[] WHAT = new String[] {"unknown","node","ball","unit"};

   public static String putWhat (int what) { return WHAT[what]; }

   public static int getWhat (String keyword)
   {
      if (keyword.equals(WHAT[NODE])) return NODE;
      if (keyword.equals(WHAT[BALL])) return BALL;
      if (keyword.equals(WHAT[UNIT])) return UNIT;
      return UNKNOWN;
   }
}

