/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball.serial;


// ---- Team
// (team 1 7)

public class Team extends Serial
{
   public int t;      // team number
   public int score;  // team's score

   public Object clone ()
   {
      return new Team(t,score);
   }

   public Team (int t, int score)
   {
      this.t = t;
      this.score = score;
   }

   public void serialize (StringBuffer buffer)
   {
      buffer.append("(team ");
      buffer.append(putInt(t));
      buffer.append(' ');
      buffer.append(putInt(score));
      buffer.append(')');
   }

   public static Serial deserialize (Object[] objects)
   {
      String keyword = getString(objects[0]); if (!keyword.equals("team")) return null;
      if (objects.length != 3) throw new IllegalNumberOfArguments();

      int t = getInt(objects[1]);
      int score = getInt(objects[2]);
      return new Team(t,score);
   }
}

